* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

:root {
  /* https://codepen.io/sosuke/pen/Pjoqqp */
  --primary-color: #663399;
  --secondary-color: #999999;
  --third-color: #CCCCCC;
  --success-color: #28a745;
  --danger-color: #dc3545;
  --light-color: #f7f7f7;
  --white-color: #ffffff;
  --dark-color: #333333;
  --darker-color: #343a40;
  --shadow-color-plain: #0000001a;
  --shadow-color-white: #ffffff55;
  --trimary-color: #ff6f00;
}

body {
  font-size: 1em;
  line-height: 1.6;
  color: var(--dark-color);
  background-color: var(--light-color);
  cursor: default;
}

.container {
  max-width: 50em;
  margin: 2em auto;
  padding: 1.25em;
  background-color: var(--white-color);
  border-radius: 0.5em;
  box-shadow: 0 0 0.3125em var(--shadow-color-plain);
}

label {
  font-weight: bold;
}

input[type="text"]{
  padding: 0.625em;
  margin-bottom: 1.25em;
  border: 0.0625em solid var(--third-color);
  border-radius: 0.3125em;
  font-size: 1em;
  width: 90%;
  line-height: 1.6;
  transition: border-color 0.3s;
}
button, .button  {
  padding: 0.5em;
  margin-bottom: 1.25em;
  border: 0.0625em solid var(--third-color);
  border-radius: 0.3125em;
  font-size: 1em;

  line-height: 1.6;
  transition: border-color 0.3s;
  text-decoration: none;
}
input[type="checkbox"] {
  width: 1.5em;
  height: 1.35em;
}

input[type="text"]:focus,
input[type="checkbox"]:focus {
  outline: none;
  border-color: var(--primary-color);
}

.closebox {
  position: absolute;
  top:0em;
  left: 0;
  margin: 0.5em;
  z-index: 10000;
  padding: 0.25em 0.5em 0.25em 0.5em;

}
.output-holder {
  border: 0.125em solid var(--primary-color);
  padding: 0.9375em;
  margin-top: 1.25em;
  background-color: var(--white-color);
  border-radius: 0.3125em;
}

.tensor {
  border: 0.0625em solid var(--trimary-color);
  padding: 0.9375em;
  margin-top: 0.9375em;
  background-color: #f9f9f9;
  border-radius: 0.3125em;
  overflow-x: auto;
}
h1 {
  margin-bottom: 0em;
}
h2 {
  font-size:1.125em;
  margin-top: 0em;
}
.tensor-chart {
  margin-top: 1.25em;
}

.heatmap rect {
  fill: steelblue;
  stroke: white;
}

.bracket {
  font-weight: bold;
}
.text-center {
  text-align: center;
}
summary {
  cursor: pointer;
}

/* ==== ABOUT WINDOW ==== */

.about-app-info-holder {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
  padding: 0.25em;
}

.about-app-info {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow-y: scroll;
  border: 1em solid var(--shadow-color-plain);
  background: var(--light-color);
  color: var(--dark-color);
  border-radius: 1.5em;
  z-index: 2;
  cursor: default;
  padding: 2em;
  font-size: 1.2em;
  line-height: 1.2;
}

.about-app-info h2 {
  text-align: center;
  padding: 0.25em;
  margin: 0em 0 1.5em 0;
}

.about-app-info p {
  margin: 1.5em 0 1.5em 0;
  line-height: 1.5;
}

.disclaimer {
  padding-top: 0.5em;
  font-size: 0.7em;
  text-align: center;
}